#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: wizards
version: 1.0.2
id: wizards-1.0.2-ZspRevRBIDHbopg40X3g1
key: wizards-1.0.2-ZspRevRBIDHbopg40X3g1
license: BSD3
maintainer: liamoc@cse.unsw.edu.au
synopsis: High level, generic library for interrogative user interfaces
description:
    @wizards@ is a package designed for the quick and painless development of /interrogative/ programs, which
    revolve around a \"dialogue\" with the user, who is asked a series of questions in a sequence much like an
    installation wizard.
    .
    Everything from interactive system scripts, to installation wizards, to full-blown shells can be implemented with
    the support of @wizards@.
    .
    It is developed transparently on top of a free monad, which separates out the semantics of the program from any
    particular interface. A variety of backends exist, including console-based "System.Console.Wizard.Haskeline" and
    "System.Console.Wizard.BasicIO", and the pure "System.Console.Wizard.Pure". It is also possible to write your
    own backends, or extend existing back-ends with new features. While both built-in IO backends operate on a
    console, there is no reason why @wizards@ cannot also be used for making GUI wizard interfaces.
    .
    .
    See the github page for examples on usage:
    .
    <http://www.github.com/liamoc/wizards>
    .
    For creating backends, the module "System.Console.Wizard.Internal" has a brief tutorial.
category: User Interfaces
author: Liam O'\''Connor-Davis
exposed: True
indefinite: False
exposed-modules:
    System.Console.Wizard System.Console.Wizard.BasicIO
    System.Console.Wizard.Haskeline System.Console.Wizard.Internal
    System.Console.Wizard.Pure
abi: 9c79091f72d33272e86cf58091d80f53
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/wizards-1.0.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/wizards-1.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/wizards-1.0.2
hs-libraries: HSwizards-1.0.2-ZspRevRBIDHbopg40X3g1
depends:
    base-4.10.0.0 containers-0.5.10.2
    control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg haskeline-0.7.4.0
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 transformers-0.5.2.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             control-monad-free-0.6.1-DLPnWUouwirGGa6ZR8vSdg=81f2de7e372e9b1a8af9865d7c3d9e66
             haskeline-0.7.4.0=e303ef8fea72a3056f73fb9b89d2eb35
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
haddock-interfaces: /usr/share/doc/haskell-wizards/html/wizards.haddock
haddock-html: /usr/share/doc/haskell-wizards/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

